SDL_GetNumJoystickAxes(3)

NAME
SDL_GetNumJoystickAxes - Get the number of general axis controls on a joystick.

HEADER FILE
Defined in SDL3/SDL_joystick.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_GetNumJoystickAxes(SDL_Joystick *joystick);

DESCRIPTION
Often, the directional pad on a game controller will either look like 4 separate buttons or a POV hat, and not axes, but all of this is up to the device and platform.

FUNCTION PARAMETERS

joystick
    an SDL_Joystick
     structure containing joystick information

RETURN VALUE
Returns the number of axis controls/number of axes on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetJoystickAxis(3), SDL_GetNumJoystickBalls(3), SDL_GetNumJoystickButtons(3), SDL_GetNumJoystickHats(3)